Bug 142713 - udevstart segfaults with certain IDE chipsets
udevstart segfaults with certain IDE chipsets
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-13 04:35 EST by Enrico Scholz
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: udev-039-10.FC3.6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-16 11:59:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2004-12-13 04:35:19 EST
Description of problem:

/sbin/udevstart segfaults on an ATIIXP chipset which is not supported
well by the kernel yet. There, /proc/ide/hda/media can not be read
(EIO error) and udevstart seems to give a null-pointer to an SELinux
function checking the media-type.

I do not have the logs available ATM, but can them provide when needed.


Version-Release number of selected component (if applicable):

udev-039-10.FC3.5


How reproducible:

100%
Comment 1 Enrico Scholz 2004-12-14 05:11:10 EST
responsible code-sniplets are:


---- selinux.h ----

| static inline int selinux_get_media(char *path, int mode, char **media)
| ...
|         *media = NULL;
|         ...
|                 if (fgets(mediabuf,sizeof(mediabuf), fp)) {            /// fails with EIO
|                 ...
|                 }
|                 return 0                                               /// *media==NULL still holds




| static inline void selinux_setfilecon(char *file, unsigned int mode)
| ...
|                 int ret=selinux_get_media(file, mode, &media);
|                 if (ret == 0) {
|                         ret = matchmediacon(media, &scontext);        /// 'media' is NULL at this point
Comment 2 Harald Hoyer 2004-12-14 08:02:26 EST
already have that patch ready :)
Comment 3 Harald Hoyer 2004-12-14 10:42:49 EST
does this fix the problem?
ftp://people.redhat.com/harald/udev-039-10.FC3.6.i386.rpm
Comment 4 Cary Howell 2004-12-14 12:16:27 EST
This patch (udev-039-10.FC3.6.i386.rpm) fixed the problem for me.  I
was experiencing the same issues Enrico had on an Intel ICH6
controller.  The actual model number is Intel 8201FR SATA AHCI Controller.
Comment 5 Enrico Scholz 2004-12-14 12:32:51 EST
I will not see the machine before the weekend and can not provide
feedback now. So when you have a good feeling about the patch, please
push it out...

Note You need to log in before you can comment on or make changes to this bug.